Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187448 - Split native keyring implementations into a separate module
Split native keyring implementations into a separate module
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Options&Settings
6.x
All All
: P1 (vote)
: 7.0
Assigned To: Jesse Glick
issues@platform
69patch1
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 17:11 UTC by Jesse Glick
Modified: 2010-06-16 13:06 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2010-06-10 17:11:53 UTC
It is desirable to keep native keyring implementations in a separate module from the API, to avoid a hard dependency on JNA.

While it might be desirable to keep master password encryption (no native dependencies) in the core API module, this would necessitate API changes, since EncryptionProvider is used by both master password encryption and the Crypt32.dll-based implementation. The core module implements a trivial in-memory keystore, so it is not completely useless on its own.
Comment 1 Jesse Glick 2010-06-10 17:53:34 UTC
core-main #4d17ef4f9577 (parented to release69_base)

Also to try to stave off problems with dev AU, adjusting spec versions (would need to be done separately in release69 if needed): core-main #36c355b00cd4
Comment 2 Quality Engineering 2010-06-12 06:50:15 UTC
Integrated into 'main-golden', will be available in build *201006120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4d17ef4f9577
User: Jesse Glick <jglick@netbeans.org>
Log: #187448: keyring implementations separated from API.
Comment 3 rbalada 2010-06-16 08:57:16 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 4 Tomas Hurka 2010-06-16 09:15:02 UTC
Verified in 20100613000115.
Comment 5 rbalada 2010-06-16 10:52:07 UTC
Transplanted to release691 as b88cbe8742f2
Comment 6 Jesse Glick 2010-06-16 13:06:27 UTC
rbalada please also note:

(In reply to comment #1)
> Also to try to stave off problems with dev AU, adjusting spec versions (would
> need to be done separately in release69 if needed): core-main #36c355b00cd4

Since the main patch involved an incompatible change to libs.jna (change of friends), it is necessary to ensure that spec versions are incremented to force a push of the new keyring, libs.jna, and keyring.impl together. Perhaps you plan to do a bulk spec version update for all of release691 anyway, in which case this can be ignored.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo